{% extends "baseFront.html.twig" %}

{% block reclamation %}




    <script>
        $(document).ready(function(){

           // $("#checkplace").attr('disabled','disabled');
            $("#produitForm").hide();
            $("#produit").val("");

        });
        $(document).ready(function(){
            $("#radioEvent").click(function(){
                $("#eventForm").show(500);
                $("#produitForm").hide(500);
                $("#produit").val("");
            });

        });

        $(document).ready(function(){
            $("#radioProd").click(function(){
               // $('#checkplace').removeAttr('disabled');
                $("#produitForm").show(500);
                $("#eventForm").hide(500);
                $("#event").val("");

            });

        });




    </script>

<br> <br>
    <div class="row">
        <div class="col-md-3"> </div>
        <div class="col-lg-6">
            <div class="card">
                <div class="card-header">Reclamation</div>
                <div class="card-body">
                    <div class="card-title">
                        <h3 class="text-center title-2">Ajouter une reclamation</h3>
                    </div>
                    <hr>
                    <div class="form-group">
                        <label for="cc-payment" class="control-label mb-1">Type de reclamation : </label>
                        <br>
                        <input type="radio" name="choix" value="Evenement" id="radioEvent" checked> Evenement

                        <span id="msg"> </span>
                    </div>

                    {#<form action="" method="post" novalidate="novalidate">#}
                    {{ form_start(form, {'attr': {'onsubmit':'return validateForm()' }} ) }}


                    <div class="form-group" id="eventForm">
                        <label for="cc-payment" class="control-label mb-1">Selectionner un evenement</label>
                        {{ form_widget(form.evenement, {'id':'event','attr': {'class': 'form-control' }}) }}
                    </div>
                    <div class="form-group">
                        <label for="cc-payment" class="control-label mb-1">priorite</label>
                        {{ form_widget(form.priorite, {'id':'priorite','attr': {'class': 'form-control' }}) }}
                        <span id="msgremise"> </span>
                    </div>
                    <div class="form-group">
                        <label for="cc-payment" class="control-label mb-1">titre</label>
                        {{ form_widget(form.titre, {'id':'titre','attr': {'class': 'form-control' }}) }}
                        <span id="msgremise"> </span>
                    </div>
                    <div class="form-group">
                        <label for="cc-payment" class="control-label mb-1">description</label>
                        {{ form_widget(form.description, {'id':'description','attr': {'class': 'form-control' }}) }}
                        <span id="msgremise"> </span>
                    </div>



                </div>
                <button id="payment-button" type="submit" class="btn btn-dark">Reclamer</button>
                {#</form>#}
                {{ form_end(form) }}


            </div>
        </div>
    </div>
    </div>

    <br><br>
{% endblock %}

{% block js %}

<script src="{{ asset('notif/lobibox.js') }}"></script>

    <script>
        function validateForm(){
            var choix = $("input[name='choix']:checked").val() ;

            var event_id = null ;
              var  priorite = $("#priorite")
                    .children("option:selected")
                .val();
            var titre = document.getElementById('titre').value;
            var description = document.getElementById('description').value;

            if(choix == "Evenement"){
                event_id = $("#event")
                    .children("option:selected")
                    .val();
                if(!event_id ){
                    Lobibox.notify('error', {
                        title: 'evenement ',
                        msg: ' veuillez choisir un evenement '
                    });
                    return false;
                }
            }


            if(titre.length ==0){
                Lobibox.notify('error', {
                    title: 'Titre ',
                    msg: ' veuillez inserer un titre'
                });
                return false;
            }

            if(description.length ==0){
                Lobibox.notify('error', {
                    title: 'Description ',
                    msg: ' veuillez inserer une description'
                });
                return false;
            }

            $.ajax({
                type: "POST",
                url: "{{ path('reclamerAjax') }}",
                data: {

                    'event' : event_id ,
                    'titre' : titre ,
                    'description' : description ,
                    'prio' : choix ,
                    'user' : {{ app.user.id }}
                },
                dataType: "text",
                success: function(msg){
                    console.log(msg)
                    if(msg =="oui"){
                        Lobibox.notify('success', {
                            title: 'Reclamation ',
                            msg: ' Merci pour votre reclamation'
                        });
                    }
                    if(msg =="warning"){
                        Lobibox.notify('warning', {
                            title: 'Reclamation ',
                            msg: ' vous avez beacoup de reclamation  non traiter'
                        });
                    }

                    if(msg =="ban"){
                        Lobibox.notify('error', {
                            title: 'Ban ',
                            msg: ' vous n etes pas autorise de deposer une reclamation '
                        });
                    }

                }
            });





            return false ;
        }
    </script>



{% endblock %}